package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.yjzl.TbZdyFgrwDkDto;
import com.mosty.base.model.dto.yjzl.TbZdyFgrwDto;
import com.mosty.base.model.query.yjzl.TbZdyFgrwQuery;
import com.mosty.base.model.query.yjzl.TbZdyFgrwlqQuery;
import com.mosty.base.model.vo.yjzl.TbZdyFgrwVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

public interface TbZdyFgrwService {

    Boolean addTbZdyrw(TbZdyFgrwDto dto);

    Boolean editTbZdyrw(TbZdyFgrwDto dto);

    Boolean delTbZdyrw(TbZdyFgrwDto dto);

    IPage<TbZdyFgrwVO> selectList(TbZdyFgrwQuery query);

    IPage<TbZdyFgrwVO> selectListApp(TbZdyFgrwQuery query);

    TbZdyFgrwVO getFgrwXq(TbZdyFgrwQuery query);

    Boolean getLqrw(TbZdyFgrwlqQuery query);

    Map<String,Object> getFgrwDkXq(TbZdyFgrwQuery query);

    Boolean zdyRwdk(TbZdyFgrwDkDto dto);
}
